/****************************************************************************************/
/*                                                                                      */
/* Name       : Flux.h                             Version in Project: 001      */
/*                                                             // !!! update please !!! */
/* Author     : Volker Pritsching                                                       */
/*                                                                                      */
/* Language   : C                                                                       */
/*                                                                                      */
/* Description: Headerfile zum Programm zur                                             */
/*              Teleskopsteuerung                                                       */
/*                                                                                      */
/****************************************************************************************/
/*                                                                                      */
/* 04.00.04 VA001 Volker Pritsching  first code                // !!! update please !!! */
/*                                                                                      */
/****************************************************************************************/

/*--------------------------------------------------------------------------------------*/
/* include control                                                                      */
/*--------------------------------------------------------------------------------------*/
#ifndef __INCFlux
#define __INCFlux

typedef struct{
  int sec;
  int min;
  int hour;
  int day;
  int month;
  int year;
} tTimeDate;

/****************************************************************************************/
/* Imports                                                                              */
/****************************************************************************************/

extern unsigned int uiPreFlux;
extern unsigned char ucUpdateTimer;
/*--------------------------------------------------------------------------------------*/
/* Commands-/Queries-List for SCPI                                                      */
/*--------------------------------------------------------------------------------------*/
extern COM_DEF asFlux_ComDef [];


/*--------------------------------------------------------------------------------------*/
/* Functions for SCPI                                                                   */
/*--------------------------------------------------------------------------------------*/
void fFlux_Init(void);
void sISR_Flux(void);
void sCycleFlux(void);
#endif

