/********************************************************************/
/*                                                                  */
/* Name       : coretsfw.c            Version in project: 001       */
/*                                         // !!! update please !!! */
/*              for ATmega128                                           */
/* Author     : Volker Pritsching                                   */
/* Language   : C                                                   */
/*                                                                  */
/* Description: Template version: 001.020917go                      */
/*              CORE of PCB-specific TS-FW                          */
/*              (interface for standard and modul functions)        */
/*              based on COREBIST.H                                 */
/*                                                                  */
/********************************************************************/
/*                                                                  */
/* 16.02.04 V001 Volker Pritsching File created   update please !!! */
/*                                                                  */
/********************************************************************/
/********************************************************************/
/* Imports                                                          */
/********************************************************************/
#include <stdlib.h>
#include "ATMEGA_key.h"
#include "ATMEGA_LCD.h"
#include "SystemCore.h"
#include "ATMEGA_tsfw.h"
#include "Dog_tsfw.h"
/*------------------------------------------------------------------*/
/********************************************************************/
/* Exports                                                          */
/********************************************************************/
/*------------------------------------------------------------------*/
/*  Identification string                                           */
/*------------------------------------------------------------------*/
const char *IDN_STRING="Handbox-Compiled: "__DATE__  __TIME__"";
                                              // !!! update please !!!
/*------------------------------------------------------------------*/
/*  COMmando_DEFinitions_List  (SCPI-functions, commands and queries)*/
/*------------------------------------------------------------------*/
COM_DEF_LIST asComDefList[] =
{
   /*---------------------------------------------------------------*/
   /*  Fujitsu_slio function list with a module name string        */
   /*---------------------------------------------------------------*/
  {asATmega_ComDef,                "ATmega"},

   /*---------------------------------------------------------------*/
   /*  Function lists of modules                                    */
   /*---------------------------------------------------------------*/
   {asHandbox_ComDef,              "Handbox"},
   /*---------------------------------------------------------------*/
   /*  END of list                                                  */
   /*---------------------------------------------------------------*/
   {NULL,                        NULL}
};
/*------------------------------------------------------------------*/
/*  Initialiser_Function_List                                       */
/*------------------------------------------------------------------*/
void (*apfInitFuncList[]) (void) =
{
   /*---------------------------------------------------------------*/
   /*  Fujitsu_slio init function                                   */
   /*---------------------------------------------------------------*/
   fATmega_Init,
   fKeyInit,  
   fLCDInit,    
   /*---------------------------------------------------------------*/
   /*  Init Functions of modules                                    */
   /*---------------------------------------------------------------*/
   fHandbox_Init,
   /*---------------------------------------------------------------*/
   /*  END of list                                                  */
   /*---------------------------------------------------------------*/
   (void (*)(void)) 0
};

/*------------------------------------------------------------------*/
/*  Status_Output_Function_List:                                    */
/*  will only be called if the status is changed,                   */
/*  have to store the status themselve                              */
/*  starting-status should be: all ok                               */
/*------------------------------------------------------------------*/
void (*apfStatusOutputFunctionList[]) (unsigned short ushStatus) =
{
//  fMB90495_StatusOut,
                                              // !!! update please !!!
   /*---------------------------------------------------------------*/
   /*  END of list                                                  */
   /*---------------------------------------------------------------*/
   (void (*)(unsigned short)) 0
};
void (*apfBufferClearanceFunctionList[]) (void) =
{
   /*---------------------------------------------------------------*/
   /*  END of list                                                  */
   /*---------------------------------------------------------------*/
   (void (*)(void)) 0
};
