/****************************************************************************************/
/*                                                                                      */
/* Name       : MOFA.h                             Version in Project: 001      */
/*                                                             // !!! update please !!! */
/* Author     : Volker Pritsching                                                       */
/*                                                                                      */
/* Language   : C                                                                       */
/*                                                                                      */
/* Description: Headerfile zum Programm zur                                             */
/*              Teleskopsteuerung                                                       */
/*                                                                                      */
/****************************************************************************************/
/*                                                                                      */
/* 04.00.04 VA001 Volker Pritsching  first code                // !!! update please !!! */
/*                                                                                      */
/****************************************************************************************/

/*--------------------------------------------------------------------------------------*/
/* include control                                                                      */
/*--------------------------------------------------------------------------------------*/
#ifndef __INCMOFA
#define __INCMOFA

typedef struct{
  int sec;
  int min;
  int hour;
  int day;
  int month;
  int year;
} tTimeDate;

/****************************************************************************************/
/* Imports                                                                              */
/****************************************************************************************/

extern unsigned int uiPreMOFA;
extern unsigned char ucUpdateTimer;
/*--------------------------------------------------------------------------------------*/
/* Commands-/Queries-List for SCPI                                                      */
/*--------------------------------------------------------------------------------------*/
extern COM_DEF asMOFA_ComDef [];


/*--------------------------------------------------------------------------------------*/
/* Functions for SCPI                                                                   */
/*--------------------------------------------------------------------------------------*/
void fMOFA_Init(void);
void sISR_MOFA(void);
void sCycleMOFA(void);
#endif

